Subject: Re: [PATCH 01/14] brcmfmac: add delay before unregistering the network device

From: Arend van Spriel <[email-masked]>
Date: Wed, 26 Feb 2014 13:18:25 +0100

On 02/26/2014 12:48 PM, Johannes Berg wrote:
> On Wed, 2014-02-26 at 12:34 +0100, Arend van Spriel wrote:
> 
>>> I'm not sure this isn't still possible? I don't know when DELLINK is
>>> sent.
>>
>> Given the behaviour I would say before the netdev notifier, which may be
>> considered wrong. It depends whether the notifier was intended for the
>> kind of thing that cfg80211 is doing, ie. send a netlink event to
>> user-space?
> 
> Well, I checked:
> 
>                 call_netdevice_notifiers(NETDEV_UNREGISTER, dev);
> 
>                 if (!dev->rtnl_link_ops ||
>                     dev->rtnl_link_state == RTNL_LINK_INITIALIZED)
>                         rtmsg_ifinfo(RTM_DELLINK, dev, ~0U, GFP_KERNEL);
> 
> so ... :)

Feeling sad :-( but thanks for checking. Clearly need to look into this
some more. John, can you please drop this one.

Gr. AvS